Bug Hunting Session
Bug 83086 - not open rtf file I/O error
Summary: not open rtf file I/O error
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: x86-64 (AMD64) All
: high critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-08-26 08:29 UTC by antonio
Modified: 2015-12-15 11:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Problem opening file (1.11 MB, application/rtf)
2014-08-26 08:29 UTC, antonio
Details
console_bt with master sources (19.46 KB, text/plain)
2014-08-27 20:16 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description antonio 2014-08-26 08:29:02 UTC
Created attachment 105266 [details]
Problem opening file

The version 4.3.0.4 don't open the file attached in this report, but in the version 4.2.6 the opening file work.
Comment 1 raal 2014-08-26 18:24:28 UTC
Thank you for submitting the bug. I can confirm that the bug is present in master.
Version: 4.4.0.0.alpha0+
Build ID: 30ae83c268125383866d47a7ee3e4a5dfcf59f71
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-08-23_22:03:46

Error message:General Error.
General input/output error.

I can open file with version 4.2.4.2, regression.
Comment 2 Julien Nabet 2014-08-27 20:16:51 UTC
Created attachment 105352 [details]
console_bt with master sources

On pc Debian x86-64 with master sources updated today, I could reproduce the crash, I attached console and bt (with symbols)
Comment 3 Julien Nabet 2014-08-27 20:18:29 UTC
Miklos: one for you?
Comment 4 Xisco Faulí 2014-09-11 14:43:35 UTC
Bibisected with lo-linux-dbgutil-daily. Regression introduced between 2014-07-16 and 2014-07-17. Range: 6bd087bf86746721186756ed270c62909ea8cf41..b50953df9829ef13601b98ae217102b123affcd0
Comment 5 Maxim Monastirsky 2014-09-11 20:32:38 UTC
@Michael: You might be interested in this one. It's related to your work in:

commit 083b2b1471fff9e75f4b27a8769f95b8a0ebf5a1
Author: Michael Stahl <mstahl@redhat.com>
Date:   Tue Jul 15 23:36:51 2014 +0200

    fdo#80924: writerfilter: RTF import: fix shapeType PictureFrame import
Comment 6 Xisco Faulí 2014-10-20 09:13:20 UTC
It seems that the commit that caused this regression was identified. (Or at
least a commit is suspected as the offending one.)

Thus setting keyword "bisected".
Comment 7 Miklos Vajna 2015-04-16 14:12:29 UTC
The assert Julien pasted is fixed by Caolan's cfbcce701cd6dc3af6086428399136efef33ff59 (Related: fdo#37691 \shptxt ... \jpegblip, 2014-09-22).
Comment 8 Robinson Tryon (qubit) 2015-12-15 11:03:09 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]